Class Sign.Request
java.lang.Object
io.helidon.integrations.common.rest.ApiJsonBuilder<T>
io.helidon.integrations.common.rest.ApiJsonRequest<T>
io.helidon.integrations.oci.connect.OciRequestBase<Sign.Request>
io.helidon.integrations.oci.vault.Sign.Request
- All Implemented Interfaces:
ApiRequest<Sign.Request>
- Enclosing class:
- Sign
Request object. Can be configured with additional headers, query parameters etc.
-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final String"ECDSA_SHA_256" algorithm.static final String"ECDSA_SHA_384" algorithm.static final String"ECDSA_SHA_512" algorithm.static final String"SHA_224_RSA_PKCS_PSS" algorithm.static final String"SHA_224_RSA_PKCS1_V1_5" algorithm.static final String"SHA_256_RSA_PKCS_PSS" algorithm.static final String"SHA_256_RSA_PKCS1_V1_5" algorithm.static final String"SHA_384_RSA_PKCS_PSS" algorithm.static final String"SHA_384_RSA_PKCS1_V1_5" algorithm.static final String"SHA_512_RSA_PKCS_PSS" algorithm.static final String"SHA_512_RSA_PKCS1_V1_5" algorithm.static final StringDigest of a message.static final StringRaw message. -
Method Summary
Modifier and TypeMethodDescriptionThe algorithm to use to sign the message or message digest.static Sign.Requestbuilder()Fluent API builder for configuring a request.The OCID of the key to sign with.keyVersionId(String versionOcid) The OCID of the key version used to sing the message.message(Base64Value value) The base64-encoded binary data object denoting the message or message digest to sign.messageType(String type) Denotes whether the value of the message parameter is a raw message or a message digest.Methods inherited from class io.helidon.integrations.oci.connect.OciRequestBase
add, endpoint, endpoint, hostFormat, hostPrefix, retryTokenMethods inherited from class io.helidon.integrations.common.rest.ApiJsonRequest
addHeader, addQueryParam, headers, queryParams, requestId, requestId, requestMediaType, requestMediaType, responseMediaType, responseMediaTypeMethods inherited from class io.helidon.integrations.common.rest.ApiJsonBuilder
add, add, add, add, add, add, addBase64, addToArray, addToArray, addToArray, addToArray, addToArray, addToArray, addToObject, addToObject, addToObject, addToObject, addToObject, emptyArray, me, postBuild, preBuild, toJsonMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface io.helidon.integrations.common.rest.ApiRequest
toJson
-
Field Details
-
ALGORITHM_SHA_224_RSA_PKCS_PSS
"SHA_224_RSA_PKCS_PSS" algorithm.- See Also:
-
ALGORITHM_SHA_256_RSA_PKCS_PSS
"SHA_256_RSA_PKCS_PSS" algorithm.- See Also:
-
ALGORITHM_SHA_384_RSA_PKCS_PSS
"SHA_384_RSA_PKCS_PSS" algorithm.- See Also:
-
ALGORITHM_SHA_512_RSA_PKCS_PSS
"SHA_512_RSA_PKCS_PSS" algorithm.- See Also:
-
ALGORITHM_SHA_224_RSA_PKCS1_V1_5
"SHA_224_RSA_PKCS1_V1_5" algorithm.- See Also:
-
ALGORITHM_SHA_256_RSA_PKCS1_V1_5
"SHA_256_RSA_PKCS1_V1_5" algorithm.- See Also:
-
ALGORITHM_SHA_384_RSA_PKCS1_V1_5
"SHA_384_RSA_PKCS1_V1_5" algorithm.- See Also:
-
ALGORITHM_SHA_512_RSA_PKCS1_V1_5
"SHA_512_RSA_PKCS1_V1_5" algorithm.- See Also:
-
ALGORITHM_ECDSA_SHA_256
"ECDSA_SHA_256" algorithm.- See Also:
-
ALGORITHM_ECDSA_SHA_384
"ECDSA_SHA_384" algorithm.- See Also:
-
ALGORITHM_ECDSA_SHA_512
"ECDSA_SHA_512" algorithm.- See Also:
-
MESSAGE_TYPE_RAW
Raw message.- See Also:
-
MESSAGE_TYPE_DIGEST
Digest of a message.- See Also:
-
-
Method Details
-
builder
Fluent API builder for configuring a request. The request builder is passed as is, without a build method. The equivalent of a build method isApiJsonBuilder.toJson(jakarta.json.JsonBuilderFactory)used by theRestApi.- Returns:
- new request builder
-
message
The base64-encoded binary data object denoting the message or message digest to sign. You can have a message up to 4096 bytes in size. To sign a larger message, provide the message digest.- Parameters:
value- value to sign- Returns:
- updated request
- See Also:
-
keyId
The OCID of the key to sign with. Required.- Parameters:
keyOcid- OCID of the key- Returns:
- updated request
-
messageType
Denotes whether the value of the message parameter is a raw message or a message digest. The default value, RAW, indicates a message. To indicate a message digest, use "DIGEST".- Parameters:
type- type to use- Returns:
- updated request
- See Also:
-
algorithm
The algorithm to use to sign the message or message digest. For RSA keys, supported signature schemes include PKCS #1 and RSASSA-PSS, along with different hashing algorithms. For ECDSA keys, ECDSA is the supported signature scheme with different hashing algorithms. When you pass a message digest for signing, ensure that you specify the same hashing algorithm as used when creating the message digest. Required. See algorithm constants on this class.- Parameters:
algorithm- algorithm to use- Returns:
- updated request
-
keyVersionId
The OCID of the key version used to sing the message. Optional.- Parameters:
versionOcid- OCID of the key version- Returns:
- updated request
-